Page MenuHomePhabricator

Inventory requirements for summary 2.0 endpoint across Reading teams
Closed, ResolvedPublic

Description

Prior to making large changes to the summary response (as laid out here: T164291: Make title-related properties consistent), we should inventory all the data we need from summary responses.

Summaries are returned from several APIs:

  1. The summary endpoint https://en.wikipedia.org/api/rest_v1/page/summary/dog
  2. The feed endpoint https://en.wikipedia.org/api/rest_v1/feed/featured/2017/05/29
  3. On This Day https://en.wikipedia.org/api/rest_v1/feed/onthisday/all/06/20
  4. Trending https://en.wikipedia.org/api/rest_v1/feed/trending/edits/3

Summaries are typical used when displaying a list of articles from some discovery mechanism. Reading use cases include:

  • The feed - which includes top read, featured, random, in the news, because you read (iOS Android)
  • Read more (iOS, Android, Web)
  • Page Previews / Link Previews (Desktop web, Android)
  • Text Search Results
  • Location Search Results
  • Saved / History

While not all of the use cases above use RESTBase summaries, the goal is to eventually use the well structured response in all places in order to simplify parsing code.

Each context requires slightly different information, but is mostly the same:
(Will be filling in needs for each platform)
TBD

Related Objects

StatusAssignedTask
OpenNone
OpenNone
ResolvedJhernandez
ResolvedMholloway
ResolvedDereckson
ResolvedJdlrobson
Resolvedovasileva
Resolvedovasileva
ResolvedJdlrobson
DuplicateNone
DuplicateNone
Resolvedovasileva
OpenJdlrobson
ResolvedJdlrobson
Resolvedovasileva
ResolvedFjalapeno
Resolvedphuedx
Declinedpmiazga
DeclinedNone
Resolvedphuedx
DeclinedNone
ResolvedPchelolo
ResolvedbearND
ResolvedMholloway
ResolvedMSantos
ResolvedMholloway

Event Timeline

Fjalapeno created this task.Jun 5 2017, 2:11 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 5 2017, 2:11 PM

cc/ @phuedx who is working on gathering requirements for the html version of the summary endpoint for Page-Previews.

@Jhernandez I was taking this on… I hadn't started yet as this was mostly about the next version of the summary end point (specifically around reworking the title properties) - and that was being pushed out a few months.

However the Page-Previews discussion (empty pages topics) is also happening. That may change our timing.

After we decide the scope of the changes at the next reading services sync, I can circle back here with more concrete plans

Sounds great!

FYI - the work of this ticket is largely being done here:
T169761: Review Summary 2.0 Spec

Fjalapeno closed this task as Resolved.Oct 6 2017, 4:06 PM
Fjalapeno closed subtask T169761: Review Summary 2.0 Spec as Resolved.